Package: org.codehaus.groovy.transform

## [Java] Class LogASTTransformation

- org.codehaus.groovy.transform.LogASTTransformation

- All Implemented Interfaces and Traits:
    CompilationUnitAware

      @GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
      public class LogASTTransformation
      extends AbstractASTTransformation

  This class provides an AST Transformation to add a log field to a class.

  Authors:
    Guillaume Laforge
    Jochen Theodorou
    Dinko Srkoc
    Hamlet D'Arcy
    Raffaele Cigni
    Alberto Vilches Raton
    Tomasz Bujok
    Martin Ghados
    Matthias Cullmann

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `LogASTTransformation.AbstractLoggingStrategy` |
    `interface` | `LogASTTransformation.LoggingStrategy` | A LoggingStrategy defines how to wire a new logger instance into an existing class.

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DEFAULT_CATEGORY_NAME` | This is just a dummy value used because String annotations values can not be null.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractASTTransformation` | `RETENTION_CLASSNODE, sourceUnit`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setCompilationUnit(CompilationUnit unit)`
    `` | `void` | `visit(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractASTTransformation` | `addError, checkIncludeExclude, checkIncludeExclude, checkIncludeExcludeUndefinedAware, checkIncludeExcludeUndefinedAware, checkNotInterface, checkPropertyList, checkPropertyList, checkPropertyList, copyAnnotatedNodeAnnotations, deemedInternalName, getAnnotationName, getClassList, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberList, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, nonGeneric, shouldSkip, shouldSkip, shouldSkipOnDescriptor, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String DEFAULT_CATEGORY_NAME

      This is just a dummy value used because String annotations values can not be null. It will be replaced by the fully qualified class name of the annotated class.

  - ### Method Detail

    - #### public void setCompilationUnit(CompilationUnit unit)

    - #### public void visit(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)